C# Class Revit.SDK.Samples.GridCreation.CS.CreateGridsData

Base class of all grid creation data class
Exibir arquivo Open project: AMEE/revit

Protected Properties

Property Type Description
m_appCreator Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application
m_docCreator Autodesk.Revit.Creation.Document
m_dut DisplayUnitType
m_revitDoc Autodesk.Revit.DB.Document
resManager System.Resources.ResourceManager

Public Methods

Method Description
AddCurveForBatchCreation ( CurveArray &curves, Curve curve ) : void

Add curve to curve array for batch creation

CreateGridsData ( UIApplication application, ArrayList labels ) : System

Constructor without display unit type

CreateGridsData ( UIApplication application, ArrayList labels, DisplayUnitType dut ) : System

Constructor with display unit type

ShowMessage ( String message, String caption ) : void

Show a message box

Protected Methods

Method Description
CreateGrids ( CurveArray curves ) : void

Create batch of grids with curves

CreateLinearGrid ( Line line ) : Grid

Create linear grid

NewGrid ( Arc arc ) : Grid

Create a grid with an arc

NewGrid ( Line line ) : Grid

Create a grid with a line

NewLine ( Autodesk start, Autodesk end ) : Line

Create a new bound line

TransformArc ( Arc arc, BubbleLocation bubLoc ) : Arc

Get the arc to create grid according to the specified bubble location

TransformArc ( Autodesk origin, double radius, double startDegree, double endDegree, BubbleLocation bubLoc ) : Arc

Get the arc to create grid according to the specified bubble location

TransformCircle ( Arc arc, Arc &upperArc, Arc &lowerArc, BubbleLocation bubLoc ) : void

Split a circle into the upper and lower parts

TransformLine ( Line line, BubbleLocation bubLoc ) : Line

Get the line to create grid according to the specified bubble location

Method Details

AddCurveForBatchCreation() public static method

Add curve to curve array for batch creation
public static AddCurveForBatchCreation ( CurveArray &curves, Curve curve ) : void
curves CurveArray curve array stores all curves for batch creation
curve Curve curve to be added
return void

CreateGrids() protected method

Create batch of grids with curves
protected CreateGrids ( CurveArray curves ) : void
curves CurveArray Curves used to create grids
return void

CreateGridsData() public method

Constructor without display unit type
public CreateGridsData ( UIApplication application, ArrayList labels ) : System
application UIApplication Revit application
labels System.Collections.ArrayList All existing labels in Revit's document
return System

CreateGridsData() public method

Constructor with display unit type
public CreateGridsData ( UIApplication application, ArrayList labels, DisplayUnitType dut ) : System
application UIApplication Revit application
labels System.Collections.ArrayList All existing labels in Revit's document
dut DisplayUnitType Current length display unit type
return System

CreateLinearGrid() protected method

Create linear grid
protected CreateLinearGrid ( Line line ) : Grid
line Line The linear curve to be transferred to grid
return Grid

NewGrid() protected method

Create a grid with an arc
protected NewGrid ( Arc arc ) : Grid
arc Arc Arc to create grid
return Grid

NewGrid() protected method

Create a grid with a line
protected NewGrid ( Line line ) : Grid
line Line Line to create grid
return Grid

NewLine() protected method

Create a new bound line
protected NewLine ( Autodesk start, Autodesk end ) : Line
start Autodesk start point of line
end Autodesk end point of line
return Line

ShowMessage() public static method

Show a message box
public static ShowMessage ( String message, String caption ) : void
message String Message
caption String title of message box
return void

TransformArc() protected method

Get the arc to create grid according to the specified bubble location
protected TransformArc ( Arc arc, BubbleLocation bubLoc ) : Arc
arc Arc The original selected line
bubLoc BubbleLocation bubble location
return Arc

TransformArc() protected method

Get the arc to create grid according to the specified bubble location
protected TransformArc ( Autodesk origin, double radius, double startDegree, double endDegree, BubbleLocation bubLoc ) : Arc
origin Autodesk Arc grid's origin
radius double Arc grid's radius
startDegree double Arc grid's start degree
endDegree double Arc grid's end degree
bubLoc BubbleLocation Arc grid's Bubble location
return Arc

TransformCircle() protected method

Split a circle into the upper and lower parts
protected TransformCircle ( Arc arc, Arc &upperArc, Arc &lowerArc, BubbleLocation bubLoc ) : void
arc Arc Arc to be split
upperArc Arc Upper arc of the circle
lowerArc Arc Lower arc of the circle
bubLoc BubbleLocation bubble location
return void

TransformLine() protected method

Get the line to create grid according to the specified bubble location
protected TransformLine ( Line line, BubbleLocation bubLoc ) : Line
line Line The original selected line
bubLoc BubbleLocation bubble location
return Line

Property Details

m_appCreator protected_oe property

Application Creation object to create new elements
protected Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application m_appCreator
return Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application

m_docCreator protected_oe property

Document Creation object to create new elements
protected Autodesk.Revit.Creation.Document m_docCreator
return Autodesk.Revit.Creation.Document

m_dut protected_oe property

Current display unit type
protected DisplayUnitType m_dut
return DisplayUnitType

m_revitDoc protected_oe property

The active document of Revit
protected Document,Autodesk.Revit.DB m_revitDoc
return Autodesk.Revit.DB.Document

resManager protected_oe static_oe property

Resource manager
protected static System.Resources.ResourceManager resManager
return System.Resources.ResourceManager